Zahler
Date: 2015-04-26

de.jost_net.OBanToo.SEPA.Basislastschrift

## Class Zahler

- java.lang.Object
- - de.jost_net.OBanToo.SEPA.Basislastschrift.Zahler

-     public class Zahler
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.math.BigDecimal` | `betrag`
    `private java.lang.String` | `bic`
    `private java.util.Date` | `faelligkeit`
    `private java.lang.String` | `iban`
    `private java.util.Date` | `mandatdatum`
    `private java.lang.String` | `mandatid`
    `private MandatSequence` | `mandatsequence`
    `private java.lang.String` | `name`
    `private java.lang.String` | `nameorig`
    `private static java.math.BigDecimal` | `nu`
    `private java.lang.String` | `verwendungszweck`
    `private int` | `verwendungszwecke` Interner Zähler für die geaddeten Verwendungszwecke
    `private java.lang.String` | `verwendungszweckorig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Zahler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(Zahler zahler)` Zusammenfassung von 2 Buchungen zu einer Mandats-ID zu einer.
    `void` | `checkBetrag(java.math.BigDecimal betrag)`
    `private void` | `checkBic(java.lang.String bic)`
    `void` | `checkFaelligkeit(java.util.Date faelligkeit)`
    `private void` | `checkMandatdatum(java.util.Date mandatdatum)`
    `private void` | `checkMandatID(java.lang.String mandatid)`
    `void` | `checkMandatsequence(MandatSequence seq)`
    `private void` | `checkName(java.lang.String name)`
    `private void` | `checkVerwendungszweck(java.lang.String verwendungszweck)`
    `java.math.BigDecimal` | `getBetrag()` Betrag zurückgeben.
    `java.lang.String` | `getBic()` BIC zurückgeben
    `java.util.Date` | `getFaelligkeit()`
    `java.lang.String` | `getIban()` BIC zurückgeben.
    `java.util.Date` | `getMandatdatum()` Datum des Mandats zurückgeben.
    `java.lang.String` | `getMandatid()` Gibt die Mandats-ID zurück
    `MandatSequence` | `getMandatsequence()`
    `java.lang.String` | `getName()` Name des Zahlungspflichtigen zurückgeben
    `java.lang.String` | `getNameOrig()`
    `java.lang.String` | `getVerwendungszweck()` Unstrukturierten Verwendungszweck zurückgeben.
    `java.lang.String` | `getVerwendungszweckOrig()`
    `void` | `setBetrag(java.math.BigDecimal betrag)` Betrag setzen.
    `void` | `setBic(java.lang.String bic)` BIC setzen.
    `void` | `setFaelligkeit(java.util.Date faelligkeit)`
    `void` | `setFaelligkeit(java.util.Date faelligkeit1, java.util.Date faelligkeit2, SequenceType1Code sequ)`
    `void` | `setIban(java.lang.String iban)` BIC setzen.
    `void` | `setMandatdatum(java.util.Date mandatdatum)` Datum des Mandats setzen.
    `void` | `setMandatid(java.lang.String mandatid)` Mandats-ID setzen.
    `void` | `setMandatsequence(MandatSequence sequence)`
    `void` | `setName(java.lang.String name)` Name des Zahlungspflichtigen setzen.
    `void` | `setVerwendungszweck(java.lang.String verwendungszweck)` Unstrukturierten Verwendungszweck setzen.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### mandatid

          private java.lang.String mandatid

    - #### mandatdatum

          private java.util.Date mandatdatum

    - #### bic

          private java.lang.String bic

    - #### name

          private java.lang.String name

    - #### nameorig

          private java.lang.String nameorig

    - #### iban

          private java.lang.String iban

    - #### verwendungszweck

          private java.lang.String verwendungszweck

    - #### verwendungszweckorig

          private java.lang.String verwendungszweckorig

    - #### betrag

          private java.math.BigDecimal betrag

    - #### mandatsequence

          private MandatSequence mandatsequence

    - #### faelligkeit

          private java.util.Date faelligkeit

    - #### nu

          private static final java.math.BigDecimal nu

    - #### verwendungszwecke

          private int verwendungszwecke

      Interner Zähler für die geaddeten Verwendungszwecke

  - ### Constructor Detail

    - #### Zahler

          public Zahler()

  - ### Method Detail

    - #### getMandatid

          public java.lang.String getMandatid()
                                       throws SEPAException

      Gibt die Mandats-ID zurück
      Throws:
        `SEPAException`

    - #### setMandatid

          public void setMandatid(java.lang.String mandatid)
                           throws SEPAException

      Mandats-ID setzen. Max. 35 Stellen.
      Throws:
        `SEPAException`

    - #### checkMandatID

          private void checkMandatID(java.lang.String mandatid)
                              throws SEPAException

      Throws:
        `SEPAException`

    - #### getMandatdatum

          public java.util.Date getMandatdatum()
                                        throws SEPAException

      Datum des Mandats zurückgeben.
      Throws:
        `SEPAException`

    - #### setMandatdatum

          public void setMandatdatum(java.util.Date mandatdatum)
                              throws SEPAException

      Datum des Mandats setzen.
      Throws:
        `SEPAException`

    - #### checkMandatdatum

          private void checkMandatdatum(java.util.Date mandatdatum)
                                 throws SEPAException

      Throws:
        `SEPAException`

    - #### getBic

          public java.lang.String getBic()
                                  throws SEPAException

      BIC zurückgeben
      Throws:
        `SEPAException`

    - #### setBic

          public void setBic(java.lang.String bic)
                      throws SEPAException

      BIC setzen. Länge 8 oder 11 Stellen
      Throws:
        `SEPAException`

    - #### checkBic

          private void checkBic(java.lang.String bic)
                         throws SEPAException

      Throws:
        `SEPAException`

    - #### getName

          public java.lang.String getName()
                                   throws SEPAException

      Name des Zahlungspflichtigen zurückgeben
      Throws:
        `SEPAException`

    - #### getNameOrig

          public java.lang.String getNameOrig()
                                       throws SEPAException

      Throws:
        `SEPAException`

    - #### setName

          public void setName(java.lang.String name)
                       throws SEPAException

      Name des Zahlungspflichtigen setzen. Länge max. 70 Stellen.
      Throws:
        `SEPAException`

    - #### checkName

          private void checkName(java.lang.String name)
                          throws SEPAException

      Throws:
        `SEPAException`

    - #### getIban

          public java.lang.String getIban()
                                   throws SEPAException

      BIC zurückgeben.
      Throws:
        `SEPAException`

    - #### setIban

          public void setIban(java.lang.String iban)
                       throws SEPAException

      BIC setzen. Länge abhängig vom Land.
      Throws:
        `SEPAException`

    - #### getVerwendungszweck

          public java.lang.String getVerwendungszweck()
                                               throws SEPAException

      Unstrukturierten Verwendungszweck zurückgeben.
      Throws:
        `SEPAException`

    - #### getVerwendungszweckOrig

          public java.lang.String getVerwendungszweckOrig()
                                                   throws SEPAException

      Throws:
        `SEPAException`

    - #### setVerwendungszweck

          public void setVerwendungszweck(java.lang.String verwendungszweck)
                                   throws SEPAException

      Unstrukturierten Verwendungszweck setzen. Länge max. 140 Stellen.
      Throws:
        `SEPAException`

    - #### checkVerwendungszweck

          private void checkVerwendungszweck(java.lang.String verwendungszweck)
                                      throws SEPAException

      Throws:
        `SEPAException`

    - #### getBetrag

          public java.math.BigDecimal getBetrag()
                                         throws SEPAException

      Betrag zurückgeben.
      Throws:
        `SEPAException`

    - #### setBetrag

          public void setBetrag(java.math.BigDecimal betrag)
                         throws SEPAException

      Betrag setzen. Wert muss > 0
      Throws:
        `SEPAException`

    - #### checkBetrag

          public void checkBetrag(java.math.BigDecimal betrag)
                           throws SEPAException

      Throws:
        `SEPAException`

    - #### setMandatsequence

          public void setMandatsequence(MandatSequence sequence)

    - #### getMandatsequence

          public MandatSequence getMandatsequence()
                                           throws SEPAException

      Throws:
        `SEPAException`

    - #### checkMandatsequence

          public void checkMandatsequence(MandatSequence seq)
                                   throws SEPAException

      Throws:
        `SEPAException`

    - #### getFaelligkeit

          public java.util.Date getFaelligkeit()
                                        throws SEPAException

      Throws:
        `SEPAException`

    - #### setFaelligkeit

          public void setFaelligkeit(java.util.Date faelligkeit)

    - #### setFaelligkeit

          public void setFaelligkeit(java.util.Date faelligkeit1,
                            java.util.Date faelligkeit2,
                            SequenceType1Code sequ)

    - #### checkFaelligkeit

          public void checkFaelligkeit(java.util.Date faelligkeit)
                                throws SEPAException

      Throws:
        `SEPAException`

    - #### add

          public void add(Zahler zahler)
                   throws SEPAException

      Zusammenfassung von 2 Buchungen zu einer Mandats-ID zu einer.
      Throws:
        `SEPAException`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`